"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _navigationReact = require("navigation-react");
var _NavigationStack = _interopRequireDefault(require("./navigation/NavigationStack"));
var _OptimizedContext = _interopRequireWildcard(require("./contexts/OptimizedContext"));
var React = _interopRequireWildcard(require("react"));
var _RidgeNavigationContext = _interopRequireDefault(require("./contexts/RidgeNavigationContext"));
var _navigationUtils = require("./navigationUtils");
var _navigation = require("navigation");
var _reactNative = require("react-native");
var _HiddenNavbarWithSwipeBack = _interopRequireDefault(require("./HiddenNavbarWithSwipeBack"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function NavigationNestedProvider(_ref) {
  let {
    children
  } = _ref;
  const id = React.useId();
  const rootKey = 'navigationModalProvider_' + id.replace(':', '--');
  const {
    theme
  } = React.useContext(_OptimizedContext.default);
  const {
    screens,
    navigationRoot,
    ...rest
  } = React.useContext(_RidgeNavigationContext.default);
  const rootNavigator = React.useMemo(() => {
    const stateInfos = [{
      key: rootKey,
      route: rootKey,
      trackCrumbTrail: false,
      renderScene: () => /*#__PURE__*/React.createElement(EmptyElement, null),
      preloadId: rootKey
    }, ...screens.map(screen => ({
      key: (0, _navigationUtils.rootKeyAndPaths)(rootKey, screen.path),
      route: (0, _navigationUtils.makeVariablesNavigationFriendly)((0, _navigationUtils.rootKeyAndPaths)(rootKey, screen.path)),
      renderScene: () => /*#__PURE__*/React.createElement(screen.element, null),
      trackCrumbTrail: true,
      preloadId: screen.path
    }))];
    const navigator = new _navigation.StateNavigator(stateInfos);
    navigator.historyManager.disabled = true;
    navigator.historyManager.stop();
    navigator.navigate(rootKey);
    return navigator;
  }, [rootKey, screens]);
  const navigationRootWithModal = React.useMemo(() => ({
    [rootKey]: (0, _navigationUtils.createNormalRoot)({
      path: rootKey,
      preload: () => {},
      element: EmptyElement
    }),
    ...navigationRoot
  }), [navigationRoot, rootKey]);
  return /*#__PURE__*/React.createElement(_RidgeNavigationContext.default.Provider, {
    value: {
      screens,
      ...rest,
      rootNavigator,
      navigationRoot: navigationRootWithModal
    }
  }, /*#__PURE__*/React.createElement(_navigationReact.NavigationHandler, {
    stateNavigator: rootNavigator
  }, /*#__PURE__*/React.createElement(_NavigationStack.default, {
    underlayColor: theme.layout.backgroundColor,
    backgroundColor: () => theme.layout.backgroundColor
    //@ts-ignore
    ,
    renderWeb: key => key === rootKey ? children : undefined,
    renderScene: (state, data) => {
      return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_HiddenNavbarWithSwipeBack.default, null), /*#__PURE__*/React.createElement(_OptimizedContext.OptimizedContextProvider, {
        withSuspenseContainer: false,
        state: state,
        data: data
      }, state.key === rootKey ? children : state.renderScene()));
    }
  })));
}
function EmptyElement() {
  return /*#__PURE__*/React.createElement(_reactNative.Text, null, "Empty");
}
var _default = NavigationNestedProvider;
exports.default = _default;
//# sourceMappingURL=NavigationNestedProvider.js.map