"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OptimizedContextProvider = OptimizedContextProvider;
exports.default = void 0;
var React = _interopRequireWildcard(require("react"));
var _RidgeNavigationContext = _interopRequireDefault(require("./RidgeNavigationContext"));
var _navigationReact = require("navigation-react");
var _navigationUtils = require("../navigationUtils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
// TODO: this could be deprecated in favor of a useContextSelector :)
// We only want to render the screen once, not twice
const OptimizedContext = /*#__PURE__*/React.createContext({});
function OptimizedContextProvider(_ref) {
  let {
    data,
    state,
    children,
    withSuspenseContainer = true
  } = _ref;
  const {
    preloadedCache,
    rootNavigator,
    preloadRoot,
    preloadScreen,
    preloadElement,
    theme,
    SuspenseContainer
  } = React.useContext(_RidgeNavigationContext.default);
  const {
    stateNavigator,
    state: fallbackState,
    data: fallbackData
  } = React.useContext(_navigationReact.NavigationContext);
  const preloadId = (state === null || state === void 0 ? void 0 : state.preloadId) || (fallbackState === null || fallbackState === void 0 ? void 0 : fallbackState.preloadId);
  const params = data || fallbackData;
  const value = React.useMemo(() => ({
    data: params,
    rootNavigator,
    stateNavigator,
    preloadRoot,
    preloadScreen,
    preloadElement,
    theme,
    preloaded: preloadedCache[(0, _navigationUtils.generatePath)(preloadId, params)]
  }), [params, rootNavigator, stateNavigator, preloadRoot, preloadScreen, preloadElement, theme, preloadedCache, preloadId]);
  return /*#__PURE__*/React.createElement(OptimizedContext.Provider, {
    value: value
  }, withSuspenseContainer ? /*#__PURE__*/React.createElement(SuspenseContainer, null, children) : /*#__PURE__*/React.createElement(React.Suspense, {
    fallback: null
  }, children));
}
var _default = OptimizedContext;
exports.default = _default;
//# sourceMappingURL=OptimizedContext.js.map