"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var React = _interopRequireWildcard(require("react"));
var _navigationReactMobile = require("navigation-react-mobile");
var _OptimizedContext = _interopRequireWildcard(require("../contexts/OptimizedContext"));
var _Head = require("../Head");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function NavigationStack(_ref) {
  let {
    renderWeb
  } = _ref;
  const {
    theme
  } = React.useContext(_OptimizedContext.default);
  return /*#__PURE__*/React.createElement(_navigationReactMobile.NavigationMotion, {
    duration: 0,
    renderMotion: (_, scene, key, active, state, data) => {
      const screen = state.screen;
      const screenOptions = screen === null || screen === void 0 ? void 0 : screen.options;
      const title = screenOptions === null || screenOptions === void 0 ? void 0 : screenOptions.title;
      const description = screenOptions === null || screenOptions === void 0 ? void 0 : screenOptions.description;
      return /*#__PURE__*/React.createElement("div", {
        key: key,
        style: {
          position: 'absolute',
          left: 0,
          right: 0,
          top: 0,
          bottom: 0,
          overflow: 'hidden',
          display: 'flex',
          flex: 1,
          flexDirection: 'column',
          // opacity: 1,
          backgroundColor: theme.layout.backgroundColor
        }
      }, active && /*#__PURE__*/React.createElement(_Head.Head, null, /*#__PURE__*/React.createElement("title", null, title || ''), /*#__PURE__*/React.createElement("meta", {
        name: "description",
        content: description || ''
      })), /*#__PURE__*/React.createElement(_OptimizedContext.OptimizedContextProvider, {
        state: state,
        data: data
      }, (renderWeb === null || renderWeb === void 0 ? void 0 : renderWeb(state.key)) || scene));
    }
  });
}
var _default = NavigationStack;
exports.default = _default;
//# sourceMappingURL=NavigationStack.web.js.map