"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useBottomTabIndex;
var React = _interopRequireWildcard(require("react"));
var _useCurrentRoot = _interopRequireDefault(require("./useCurrentRoot"));
var _BottomTabIndexContext = _interopRequireDefault(require("./contexts/BottomTabIndexContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function useBottomTabIndex() {
  var _currentRoot$children;
  const {
    currentRoot
  } = (0, _useCurrentRoot.default)();
  const {
    bottomTabIndex,
    setBottomTabIndex
  } = React.useContext(_BottomTabIndexContext.default);
  const switchToTab = React.useCallback(async tab => {
    setBottomTabIndex(currentRoot.children.findIndex(child => child.path === tab.path));
  }, [currentRoot, setBottomTabIndex]);
  const hasBottomIndex = bottomTabIndex !== undefined && bottomTabIndex !== null;
  const currentTab = hasBottomIndex && (currentRoot === null || currentRoot === void 0 ? void 0 : currentRoot.type) === 'bottomTabs' ? currentRoot === null || currentRoot === void 0 ? void 0 : (_currentRoot$children = currentRoot.children) === null || _currentRoot$children === void 0 ? void 0 : _currentRoot$children[bottomTabIndex] : undefined;
  return {
    switchToTab,
    currentTab
    // setBottomTabIndex,
    // bottomTabIndex,
  };
}
//# sourceMappingURL=useBottomTabIndex.js.map