"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useCurrentRoot;
var React = _interopRequireWildcard(require("react"));
var _RidgeNavigationContext = _interopRequireDefault(require("./contexts/RidgeNavigationContext"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function getRootKey(rootNavigator, navigationRoot) {
  var _rootNavigator$stateC, _rootNavigator$stateC2;
  const stateKey = rootNavigator === null || rootNavigator === void 0 ? void 0 : (_rootNavigator$stateC = rootNavigator.stateContext) === null || _rootNavigator$stateC === void 0 ? void 0 : (_rootNavigator$stateC2 = _rootNavigator$stateC.state) === null || _rootNavigator$stateC2 === void 0 ? void 0 : _rootNavigator$stateC2.key;
  if (stateKey) {
    var _splitUrl$filter;
    const splitUrl = stateKey.split('/');
    return (_splitUrl$filter = splitUrl.filter(Boolean)) === null || _splitUrl$filter === void 0 ? void 0 : _splitUrl$filter[0];
  }
  return Object.keys(navigationRoot)[0];
}
function useCurrentRoot() {
  const [_, setForceUpdate] = React.useState(0);
  const {
    rootNavigator,
    navigationRoot
  } = React.useContext(_RidgeNavigationContext.default);
  const rootKey = getRootKey(rootNavigator, navigationRoot);
  React.useEffect(() => {
    if (_reactNative.Platform.OS === 'web') {
      rootNavigator.onNavigate(() => {
        if (getRootKey(rootNavigator, navigationRoot) !== rootKey) {
          setForceUpdate(x => x + 1);
        }
      });
    }
  }, [rootKey, rootNavigator, navigationRoot]);
  return {
    currentRoot: navigationRoot[rootKey],
    currentRootKey: rootKey
  };
}
//# sourceMappingURL=useCurrentRoot.js.map