"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _BottomTabBadgeWeb = _interopRequireDefault(require("./BottomTabBadgeWeb"));
var _RidgeNavigationContext = _interopRequireDefault(require("../contexts/RidgeNavigationContext"));
var _reactNativeRidgeNavigation = require("react-native-ridge-navigation");
var _color = _interopRequireDefault(require("color"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function BottomTabWeb(_ref) {
  let {
    isSelected,
    bottomTab,
    count,
    orientation,
    aboveDrawerBreakingPoint
  } = _ref;
  const {
    theme
  } = React.useContext(_RidgeNavigationContext.default);
  return /*#__PURE__*/React.createElement(_reactNativeRidgeNavigation.BottomTabLink, {
    key: bottomTab.path,
    to: bottomTab,
    params: {}
  }, linkProps => /*#__PURE__*/React.createElement(_reactNative.Pressable, _extends({}, linkProps, {
    style: [styles.touchable, aboveDrawerBreakingPoint && styles.touchableBig],
    accessibilityRole: "button",
    accessibilityLabel: bottomTab.title()
  }), _ref2 => {
    let {
      pressed,
      hovered
    } = _ref2;
    return /*#__PURE__*/React.createElement(_reactNative.View, {
      style: styles.touchableInner
    }, /*#__PURE__*/React.createElement(_reactNative.View, {
      style: [styles.iconWrapper, aboveDrawerBreakingPoint && styles.iconWrapperBig, {
        backgroundColor: (isSelected || hovered || pressed) && (0, _color.default)(theme.bottomBar.activeIndicatorColor).alpha(isSelected ? 1 : pressed ? 0.7 : hovered ? 0.5 : 1).toString()
      }, _reactNative.Platform.OS === 'web' ? {
        transition: 'all 150ms'
      } : undefined]
    }, !aboveDrawerBreakingPoint && /*#__PURE__*/React.createElement(_reactNative.View, {
      style: styles.badge
    }, /*#__PURE__*/React.createElement(_BottomTabBadgeWeb.default, {
      visible: !!count,
      aboveDrawerBreakingPoint: aboveDrawerBreakingPoint
    }, count)), /*#__PURE__*/React.createElement(_reactNative.View, {
      style: styles.leftWrapper
    }, /*#__PURE__*/React.createElement(_reactNative.Image, {
      source: isSelected ? bottomTab.selectedIcon : bottomTab.icon,
      style: [orientation === 'horizontal' && styles.horizontalIcon, orientation === 'vertical' && styles.verticalIcon, {
        tintColor: isSelected ? theme.bottomBar.selectedTextColor : theme.bottomBar.textColor
      }]
    }), aboveDrawerBreakingPoint && /*#__PURE__*/React.createElement(_reactNative.Text, {
      style: [{
        fontFamily: theme.bottomBar.fontFamily,
        fontSize: theme.bottomBar.fontSize,
        fontWeight: theme.bottomBar.fontWeight,
        color: isSelected ? theme.bottomBar.selectedTextColor : theme.bottomBar.textColor
      }]
    }, bottomTab.title())), aboveDrawerBreakingPoint && !!count && /*#__PURE__*/React.createElement(_reactNative.View, {
      style: styles.badgeRight
    }, /*#__PURE__*/React.createElement(_BottomTabBadgeWeb.default, {
      visible: !!count,
      aboveDrawerBreakingPoint: aboveDrawerBreakingPoint
    }, count))), /*#__PURE__*/React.createElement(_reactNative.View, {
      style: styles.spacer
    }), !aboveDrawerBreakingPoint && /*#__PURE__*/React.createElement(_reactNative.Text, {
      style: [{
        fontFamily: theme.bottomBar.fontFamily,
        fontSize: theme.bottomBar.fontSize,
        fontWeight: theme.bottomBar.fontWeight,
        color: isSelected ? theme.bottomBar.selectedTextColor : theme.bottomBar.textColor
      }]
    }, bottomTab.title()));
  }));
}
const styles = _reactNative.StyleSheet.create({
  touchable: {
    flex: 1,
    maxWidth: 140,
    maxHeight: 100,
    width: '100%',
    paddingTop: 12,
    paddingHorizontal: 12,
    paddingBottom: 16
    // margin: 3,
  },

  leftWrapper: {
    flexDirection: 'row',
    alignItems: 'center',
    flexShrink: 0
  },
  badgeRight: {
    flex: 1,
    alignItems: 'flex-end',
    justifyContent: 'center'
  },
  touchableBig: {
    maxWidth: '100%',
    maxHeight: 64
  },
  spacer: {
    height: 4
  },
  iconWrapper: {
    borderRadius: 360,
    width: 64,
    height: 32,
    alignItems: 'center',
    justifyContent: 'center'
  },
  iconWrapperBig: {
    height: 56,
    width: '100%',
    flexDirection: 'row',
    justifyContent: 'flex-start',
    paddingLeft: 6,
    paddingRight: 16
  },
  touchableHovered: {
    backgroundColor: 'rgba(0, 0, 0, 0.04)'
  },
  touchablePressed: {
    backgroundColor: 'rgba(0, 0, 0, 0.12)'
  },
  touchableHoveredDark: {
    backgroundColor: 'rgba(255, 255, 255, 0.08)'
  },
  touchablePressedDark: {
    backgroundColor: 'rgba(255, 255, 255, 0.32)'
  },
  touchableInner: {
    flex: 1,
    height: 46,
    padding: 6,
    alignItems: 'center',
    justifyContent: 'center',
    position: 'relative'
  },
  badge: {
    position: 'absolute',
    top: -2,
    right: 13,
    zIndex: 100
  },
  verticalIcon: {
    width: 20,
    height: 20,
    margin: 6
  },
  horizontalIcon: {
    width: 24,
    height: 24,
    margin: 10
  }
});
var _default = /*#__PURE__*/React.memo(BottomTabWeb);
exports.default = _default;
//# sourceMappingURL=BottomTabWeb.js.map