import * as React from 'react';
import useBottomTabIndex from './useBottomTabIndex';
import Link from './Link';
export default function BottomTabLink(_ref) {
  let {
    to,
    params,
    children,
    onPress
  } = _ref;
  const {
    currentTab
  } = useBottomTabIndex();
  const isSelected = currentTab === to;
  return /*#__PURE__*/React.createElement(Link, {
    to: to.child,
    params: params,
    onPress: onPress,
    linkMode: "sensitive",
    toBottomTab: to
  }, linkProps => children({
    ...linkProps,
    isSelected,
    testID: `bottomTab-${to.child.path}`
  }));
}
//# sourceMappingURL=BottomTabLink.js.map