import type { ColorValue } from 'react-native';
export interface ThemeLayout {
    backgroundColor: ColorValue;
}
export interface ThemeBottomBar {
    backgroundColor: ColorValue;
    textColor: ColorValue;
    selectedTextColor: ColorValue;
    activeIndicatorColor?: ColorValue;
    badgeColor?: ColorValue;
    rippleColor?: ColorValue;
    badgeTextColor: ColorValue;
    elevation: number;
    labelVisibilityMode: 'auto' | 'labeled' | 'unlabeled' | 'selected';
    scrollsToTop: boolean;
    fontFamily?: string;
    fontWeight?: FontWeight;
    fontStyle?: 'normal' | 'italic';
    fontSize?: number;
}
export interface Theme {
    bottomBar: ThemeBottomBar;
    layout: ThemeLayout;
}
type FontWeight = 'normal' | 'bold' | '100' | '200' | '300' | '400' | '500' | '600' | '700' | '800' | '900';
export interface SimpleTheme {
    text: ColorValue;
    primary: ColorValue;
    accent: ColorValue;
    backgroundColor?: ColorValue;
    bottomTabs?: {
        backgroundColor?: ColorValue;
        textColor?: ColorValue;
        selectedTextColor?: ColorValue;
        activeIndicatorColor?: ColorValue;
        rippleColor?: ColorValue;
        fontFamily?: string;
        fontWeight?: FontWeight;
        fontStyle?: 'normal' | 'italic';
        fontSize?: number;
    };
}
export interface ThemeSettings {
    light: Theme;
    dark: Theme;
}
export interface SimpleThemeSettings {
    light: SimpleTheme;
    dark: SimpleTheme;
}
export declare function createSimpleTheme(simpleTheme: SimpleThemeSettings): ThemeSettings;
export declare const defaultTheme: ThemeSettings;
export {};
//# sourceMappingURL=theme.d.ts.map